# Antidote-CIS

> Use Open Standards, Open Data, Open Source, and Open Innovation. 

This project includes a simple, cross-platform, portable CIS client. may also include a modified `smbd` (samba server) to upload package to CIS. 

This project aims to make CIS development experience easier. 

Designed for linux, can 100% run on windows and macOS, but not tested. You should collect all dependencies on your own. 

## Dependency

All these dependencies are confirmed to support Linux (natively), WSL (natively), and win32 (Use your google to find smbclient for win32). 
These dependencies could also be found on BSD, MacOS, and any OS with a working C++ compiler. 

json2table <https://git.recolic.net/root/json2table>, bash, smbclient <https://wiki.archlinux.org/index.php/samba#Client>, curl, unix binutil (cut,cat,tr,grep,...).

## Usage:

You should read and modify `antidote.config.sh` first. If you're familiar to CIS, you should know how to use them. 

```
antidote-cis push path/to/your/workflow.directory BootstrapCAWorkflow v1.5.5
antidote-cis push path/to/your/workflow.directory BootstrapCAWorkflow
antidote-cis push path/to/your/workflow.directory
antidote-cis cloudrun BootstrapCAWorkflow v1.5.5
antidote-cis cloudrun BootstrapCAWorkflow
antidote-cis cloudrun
```

version number should not contain space. 




